package com.gh.gamecenter.feature.retrofit

import com.gh.gamecenter.feature.entity.WXMiniGameCPMEntity
import com.gh.gamecenter.feature.entity.WXMiniGameCPMResponse
import io.reactivex.Single
import okhttp3.RequestBody
import retrofit2.http.Body
import retrofit2.http.POST

interface WGameCPMApiService {

    @POST("geteditorrecommend")
    fun getEditorRecommendList(@Body body: RequestBody): Single<WXMiniGameCPMEntity>

    @POST("getuserrecommend")
    fun getUserRecommendList(@Body body: RequestBody): Single<WXMiniGameCPMEntity>

    @POST("reportclick")
    fun reportClick(@Body body: RequestBody): Single<WXMiniGameCPMResponse>

    @POST("reportexposure")
    fun reportExposure(@Body body: RequestBody): Single<WXMiniGameCPMResponse>

    @POST("getgameinfolist")
    fun getGameInfoList(@Body body: RequestBody): Single<WXMiniGameCPMEntity>

}